<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>script_043_gallery</title>
<style type="text/css">
* {
	margin: 0;
	padding: 0;
	border-width: 0
}

li {
	list-style: none;
}

a {
	text-decoration: none;
	color: #000;
}

#gallery {
	width: 350px;
	margin: 30px auto;
	border: 1px solid #999;
}

#gallery h1 {
	text-align: center;
}

#gallery img {
	border: 1px solid #666;
}

#gallery #photo {
	text-align: center;
	/* background-color: yellow; */
}

#gallery ul {
	width: 800px;
	margin: 0 auto;
	/* background-color: aqua; */
	height: 56px;
}

#gallery ul li {
	width: 100px;
	text-align: center;
	float: left;
}

#photo_list {
	width: 300px;
	/* border:1px solid red; */
	overflow:hidden;
	margin: 10px auto;
}

.btn_wrap {
	clear: both;
	text-align: center;
}

.btn_wrap a {
	font-weight: bolder;
	font-size: 25px;
}
</style>

<script type="text/javascript">
	window.onload = () => {
		let selectedImageIndex = 0;
		
		let bigImage = document.getElementById("photo").children[0];
		let innerList = document.getElementById("inner_list");
		let imageSelections = document.querySelectorAll("#inner_list>li>a");
		
		let selectedChanged = () => {
			innerList.style.marginLeft = (-100 * selectedImageIndex + 100) + "px";
			bigImage.src = imageSelections[selectedImageIndex].href;
		}
		
		document.getElementById("before_btn").onclick = (event) => {
			if(--selectedImageIndex < 0) {
				selectedImageIndex = imageSelections.length - 1;
			}
			selectedChanged();
			event.preventDefault();
		};
		
		document.getElementById("next_btn").onclick = (event) => {
			if(++selectedImageIndex >= imageSelections.length) {
				selectedImageIndex = 0;
			}
			selectedChanged();
			event.preventDefault();
		};
		
		for(let imageIdx = 0; imageIdx < imageSelections.length; imageIdx++) {
			imageSelections[imageIdx].onclick = (event) => {
				selectedImageIndex = imageIdx;
				selectedChanged();
				/* return false;
				event.preventDefault()로도 이동이 되지 않도록 할 수 있다. */
				event.preventDefault();
			};
		}
		
		selectedChanged();
	};
	
	
</script>
</head>
<body>
	<div id="gallery">
		<h1>동해안 갤러리</h1>
		<p id="photo">
			<img src="images/pic_1.jpg" width="320" alt="" />
		</p>
		<!-- width: 300px -->
		<div id="photo_list">
			<!-- width:800px -->
			<ul id="inner_list">
				<li><a href="images/pic_1.jpg"> <img
						src="images/pic_t1.jpg" alt="사진1" /></a></li>
				<li><a href="images/pic_2.jpg"> <img
						src="images/pic_t2.jpg" alt="사진2" /></a></li>
				<li><a href="images/pic_3.jpg"> <img
						src="images/pic_t3.jpg" alt="사진3" /></a></li>
				<li><a href="images/pic_4.jpg"> <img
						src="images/pic_t4.jpg" alt="사진4" /></a></li>
				<li><a href="images/pic_5.jpg"> <img
						src="images/pic_t5.jpg" alt="사진5" /></a></li>
				<li><a href="images/pic_6.jpg"> <img
						src="images/pic_t6.jpg" alt="사진6" /></a></li>
				<li><a href="images/pic_7.jpg"> <img
						src="images/pic_t7.jpg" alt="사진7" /></a></li>
				<li><a href="images/pic_8.jpg"> <img
						src="images/pic_t8.jpg" alt="사진8" /></a></li>
			</ul>
		</div>
		<p class="btn_wrap">
			<a href="#" id="before_btn">&lt;</a> <a href="#" id="next_btn">&gt;</a>
		</p>
	</div>
</body>
</html>